Deleting a Custom Configuration Channel
Print
Copy page Copy as Markdown for LLMs View as Markdown View the page as plain text
Open in ChatGPT Ask ChatGPT about this page Open in Claude Ask Claude about this page Prev Next To delete a custom configuration channel:
Use the API to request the custom configuration channel be deleted. Here is a sample cURL request.
curl 'http://<HX_IP_address>:<port_number>/hx/api/v3/host_policies/channels/<channel ID>' -X 'DELETE' -H 'X-FeApi-Token: <API_token>'
The channel ID is shown in the response body to the original creation request and can be obtained using the GET https://<HX_IP_address>:<port_number>/hx/api/v3/host_policies/channels API endpoint.
For complete information on API custom configuration channel endpoints, see the Endpoint Security (HX) REST API Guide .
Was this article helpful?
Yes No
Related articles
Endpoint Security Agent (HX) > Endpoint Security Agent (HX) 35 Administrator Guide > Appendices > Modifying xAgent configuration settings
Endpoint Security Agent (HX) > Endpoint Security Agent (HX) 36 Administrator Guide > Appendices > Modifying xAgent configuration settings > Using API Custom Configuration Channels
Endpoint Security Agent (HX) > Endpoint Security Agent (HX) 36 Administrator Guide > Appendices > Modifying xAgent configuration settings > Using API Custom Configuration Channels